# SendDocumentData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendDocumentData

# SendDocumentData

(common) `data class SendDocumentData : DataRequest<ContentMessage<DocumentContent>>, SendMessageRequest<ContentMessage<DocumentContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<DocumentContent>>, TextableSendMessageRequest<ContentMessage<DocumentContent>>, ThumbedSendMessageRequest<ContentMessage<DocumentContent>>` (source)

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### document

`val document: String?`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<DocumentContent>>`

(common)

#### text

`val text: String?`

(common)

#### thumb

`val thumb: String?`

### Functions

(common)

#### method

`fun method(): String`